> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Checkatrade Reviews

> This endpoint is used to fetch reviews from checkatrade for a specified business.



## OpenAPI

````yaml POST /checkatrade/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /checkatrade/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from checkatrade for a specified
        business.
      requestBody:
        description: checkatrade review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckatradeReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckatradeReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    CheckatradeReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Checktrade bussiness url or provide a bussiness id
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        filter_type:
          type: integer
          description: Filter type for reviews
        pagination_token:
          type: string
          description: >-
            The next_page received with the past request, which is required for
            the pagination
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    CheckatradeReviewsResponse:
      type: object
      properties:
        author_name:
          type: string
          description: Name of the review author
        categoryId:
          type: integer
          description: ID of the category
        category_rating:
          type: object
          properties:
            communication:
              type: integer
              description: Rating for communication
            qualityOfWorkmanship:
              type: integer
              description: Rating for quality of workmanship
            reliabilityAndTimekeeping:
              type: integer
              description: Rating for reliability and timekeeping
          description: Category-wise ratings for different aspects
        query:
          type: string
          description: Original query URL
        review_date:
          type: string
          description: Date when the review was posted
        review_id:
          type: string
          description: Unique identifier for the review
        review_rating:
          type: integer
          description: Overall rating given in the review
        review_reply:
          type: object
          properties:
            reply_date:
              type: string
              description: Date when the reply was posted
            reply_update_date:
              type: string
              description: Date when the reply was last updated
            reply_text:
              type: string
              description: Content of the reply
            reply_status:
              type: string
              description: Status of the reply
          description: Reply information for the review
        review_text:
          type: string
          description: Content of the review
        review_title:
          type: string
          description: Title of the review
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````